# XMLDiff\File::diff

(PECL xmldiff >= 0.8.0)

XMLDiff\File::diff — Diff two XML files

### Description

public XMLDiff\File::diff ( string `$from` , string `$to` ) : string

Diff two local XML files and produce string with the diff information.

### Parameters

`from`

  Path to the source document.

`to`

  Path to the target document.

### Return Values

String with the XML document containing the diff information or NULL.